From ff37726e386385759e6afff60b92c3b981afc6b9 Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Sat, 29 Oct 2022 02:57:03 +0200
Subject: [PATCH 08/13] gnu: Add clojure-tools-reader

* gnu/packages/clojure.scm (clojure-tools-reader): New variable.
---
 gnu/packages/clojure.scm | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/clojure.scm b/gnu/packages/clojure.scm
index 54b5fc9383..09e4e54fd9 100644
--- a/gnu/packages/clojure.scm
+++ b/gnu/packages/clojure.scm
@@ -660,6 +660,44 @@ (define-public clojure-tigris
 in Java with a tiny Clojure wrapper.")
     (license license:epl1.0)))
 
+(define-public clojure-tools-reader
+  (package
+    (name "clojure-tools-reader")
+    (version "1.3.6")
+    (home-page "https://github.com/clojure/tools.reader")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url home-page)
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0rcqq024ysz5g2ad8g6jvhnlpwqym58hd1mywl8c4v3x5628d028"))))
+    (build-system clojure-build-system)
+    (arguments
+     '(#:source-dirs '("src/main/cljs" "src/main/clojure")
+       #:test-dirs '("src/test/cljs" "src/test/clojure")
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'check 'patch-common-tests
+           (lambda _
+             ;; common_tests.clj is inlined into other test files.
+             ;; #:test-exclude (list "**/common_tests.clj") did not work for
+             ;; some reason
+             (substitute* "src/test/clojure/clojure/tools/common_tests.clj"
+               (("\\(deftest read-integer")
+                "(ns clojure.tools.common-tests
+                   (:use [clojure.test :only [deftest is]])
+                   (:import clojure.lang.BigInt))
+                 (deftest read-integer")))))
+       #:doc-dirs '()))
+    (synopsis "Clojure reader in Clojure")
+    (description "A complete Clojure reader and an EDN-only reader, works with
+Clojure versions >= 1.4.0 and Clojurescript >=0.5308 and since version
+0.10.0-alpha1")
+    (license license:epl1.0)))
+
 (define-public clojure-tools-gitlibs
   (package
     (name "clojure-tools-gitlibs")
-- 
2.38.0

